# $Id: gliv.spec 3051 2005-03-24 14:59:59Z dag $
# Authority: dag
# Upstream: Guillaume Chazarain <guichaz$yahoo,fr>

Summary:	Image viewing utility
Name:		gliv
Version:	1.9.6
Release:	4%{?dist}
License:	GPLv2+
Group:		Applications/Multimedia
URL:		http://guichaz.free.fr/gliv/
Source:		http://guichaz.free.fr/gliv/files/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gtk2-devel >= 2.6.0
BuildRequires: gtkglext-devel >= 0.7.0
BuildRequires: desktop-file-utils

%description
GLiv is an OpenGL image viewer. GLiv is very fast and smooth at rotating,
panning and zooming if you have an OpenGL accelerated graphics board.

%prep
%setup -q

%{__cat} <<EOF >gliv.desktop
[Desktop Entry]
Name=Gliv Image Viewer
Comment=View images fast and smoothly
Exec=gliv
Icon=gliv.png
Terminal=false
Type=Application
MimeType=image/gif;image/x-xpm;image/x-xbm;image/jpeg;image/x-bmp;image/png;image/x-tiff;image/x-tga;
Categories=GNOME;Graphics;
EOF

%{__cat} <<EOF >gliv.applications
gliv
	command=gliv
	name=Gliv Image Viewer
	can_open_multiple_files=true
	expects_uris=no
	requires_terminal=false
	all_gnome_vfs_schemes_supported=yes
	uses_gnomevfs=true
	startup_notify=true
	mime_types=image/gif;image/x-xpm;image/x-xbm;image/jpeg;image/x-bmp;image/png;image/x-tiff;image/x-tga;
EOF


%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%{__install} -Dp -m0644 gliv.applications %{buildroot}%{_datadir}/application-registry/gliv.applications

%{__install} -Dp -m0644 gliv.png %{buildroot}%{_datadir}/pixmaps/gliv.png

%{__install} -d -m0755 %{buildroot}%{_datadir}/applications/
desktop-file-install \
	--vendor fedora \
	--dir %{buildroot}%{_datadir}/applications \
	gliv.desktop

%clean
%{__rm} -rf %{buildroot}

%post
update-desktop-database &> /dev/null ||:

%postun
update-desktop-database &> /dev/null ||:

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc COPYING NEWS README THANKS
%{_mandir}/man1/gliv.1*
%{_mandir}/*/man1/gliv.1*
%{_bindir}/gliv
%{_datadir}/applications/*-gliv.desktop
%{_datadir}/application-registry/gliv.applications
%{_datadir}/pixmaps/gliv.png

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild


* Sat Feb  9 2008 Peter Lemenkov <lemenkov@gmail.com> 1.9.6-3
- Updated version tag.
- Rebuild for GCC 4.3

* Wed Nov 22 2006 Peter Lemenkov <lemenkov@gmail.com> 1.9.6-2
- Spec cleanup

* Wed Nov 22 2006 Peter Lemenkov <lemenkov@gmail.com> 1.9.6-1
- Upgrade to ver. 1.9.6
- Missing BR added

* Tue Nov 21 2006 Peter Lemenkov <lemenkov@gmail.com> 1.9.5-2
- Little cleanups in spec file

* Sun May 28 2006 Adrien BUSTANY <madcat@mymadcat.com> - 1.9.5-1
- Updated to release 1.9.5

* Fri May 27 2005 Dag Wieers <dag@wieers.com> - 1.9.3-1 - 3051+/dag
- Updated to release 1.9.3.

* Tue Mar 22 2005 Dag Wieers <dag@wieers.com> - 1.9.2-1
- Updated to release 1.9.2.

* Wed Jan 05 2005 Dag Wieers <dag@wieers.com> - 1.9.1-1
- Updated to release 1.9.1.

* Thu Aug 05 2004 Dag Wieers <dag@wieers.com> - 1.8.4-1
- Updated to release 1.8.4.

* Thu Jun 24 2004 Dag Wieers <dag@wieers.com> - 1.8.3-1
- Updated to release 1.8.3.

* Sat Feb 07 2004 Dag Wieers <dag@wieers.com> - 1.8.1-0
- Updated to release 1.8.1.

* Sat Jan 24 2004 Dag Wieers <dag@wieers.com> - 1.8-0
- Initial package. (using DAR)
